Package com.google.protobuf

# Class Value.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<Value.Builder>
com.google.protobuf.Value.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ValueOrBuilder`, `Cloneable`

Enclosing class:
  Value

public static final class Value.Builder extends GeneratedMessageV3.Builder<Value.Builder> implements ValueOrBuilder
Protobuf type `google.protobuf.Value`

## Method Summary

Modifier and Type
Method
Description
`Value`
`build()`
Constructs the message based on the state of the Builder.
`Value`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`Value.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`Value.Builder`
`clearBoolValue()`
`bool bool_value = 4 [json_name = "boolValue"];`
`Value.Builder`
`clearKind()`
`Value.Builder`
`clearListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`Value.Builder`
`clearNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`Value.Builder`
`clearNumberValue()`
`double number_value = 2 [json_name = "numberValue"];`
`Value.Builder`
`clearStringValue()`
`string string_value = 3 [json_name = "stringValue"];`
`Value.Builder`
`clearStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`boolean`
`getBoolValue()`
`bool bool_value = 4 [json_name = "boolValue"];`
`Value`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`Value.KindCase`
`getKindCase()`
`ListValue`
`getListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`ListValue.Builder`
`getListValueBuilder()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`ListValueOrBuilder`
`getListValueOrBuilder()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`NullValue`
`getNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`int`
`getNullValueValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`double`
`getNumberValue()`
`double number_value = 2 [json_name = "numberValue"];`
`String`
`getStringValue()`
`string string_value = 3 [json_name = "stringValue"];`
`ByteString`
`getStringValueBytes()`
`string string_value = 3 [json_name = "stringValue"];`
`Struct`
`getStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`Struct.Builder`
`getStructValueBuilder()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`StructOrBuilder`
`getStructValueOrBuilder()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`boolean`
`hasBoolValue()`
`bool bool_value = 4 [json_name = "boolValue"];`
`boolean`
`hasListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`boolean`
`hasNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`boolean`
`hasNumberValue()`
`double number_value = 2 [json_name = "numberValue"];`
`boolean`
`hasStringValue()`
`string string_value = 3 [json_name = "stringValue"];`
`boolean`
`hasStructValue()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`Value.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`Value.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`Value.Builder`
`mergeFrom(Value other)`
`Value.Builder`
`mergeListValue(ListValue value)`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`Value.Builder`
`mergeStructValue(Struct value)`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`final Value.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`Value.Builder`
`setBoolValue(boolean value)`
`bool bool_value = 4 [json_name = "boolValue"];`
`Value.Builder`
`setListValue(ListValue value)`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`Value.Builder`
`setListValue(ListValue.Builder builderForValue)`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`Value.Builder`
`setNullValue(NullValue value)`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`Value.Builder`
`setNullValueValue(int value)`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`Value.Builder`
`setNumberValue(double value)`
`double number_value = 2 [json_name = "numberValue"];`
`Value.Builder`
`setStringValue(String value)`
`string string_value = 3 [json_name = "stringValue"];`
`Value.Builder`
`setStringValueBytes(ByteString value)`
`string string_value = 3 [json_name = "stringValue"];`
`Value.Builder`
`setStructValue(Struct value)`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`Value.Builder`
`setStructValue(Struct.Builder builderForValue)`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`final Value.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<Value.Builder>`

### clear

public Value.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<Value.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<Value.Builder>`

### getDefaultInstanceForType

public Value getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public Value build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public Value buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public Value.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Value.Builder>`

### mergeFrom

public Value.Builder mergeFrom(Value other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<Value.Builder>`

### mergeFrom

public Value.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Value.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getKindCase

public Value.KindCase getKindCase()

Specified by:
  `getKindCase` in interface `ValueOrBuilder`

### clearKind

public Value.Builder clearKind()

### hasNullValue

public boolean hasNullValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Specified by:
  `hasNullValue` in interface `ValueOrBuilder`
Returns:
  Whether the nullValue field is set.

### getNullValueValue

public int getNullValueValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Specified by:
  `getNullValueValue` in interface `ValueOrBuilder`
Returns:
  The enum numeric value on the wire for nullValue.

### setNullValueValue

public Value.Builder setNullValueValue(int value)
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Parameters:
  `value` - The enum numeric value on the wire for nullValue to set.
Returns:
  This builder for chaining.

### getNullValue

public NullValue getNullValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Specified by:
  `getNullValue` in interface `ValueOrBuilder`
Returns:
  The nullValue.

### setNullValue

public Value.Builder setNullValue(NullValue value)
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Parameters:
  `value` - The nullValue to set.
Returns:
  This builder for chaining.

### clearNullValue

public Value.Builder clearNullValue()
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`

Returns:
  This builder for chaining.

### hasNumberValue

public boolean hasNumberValue()
`double number_value = 2 [json_name = "numberValue"];`

Specified by:
  `hasNumberValue` in interface `ValueOrBuilder`
Returns:
  Whether the numberValue field is set.

### getNumberValue

public double getNumberValue()
`double number_value = 2 [json_name = "numberValue"];`

Specified by:
  `getNumberValue` in interface `ValueOrBuilder`
Returns:
  The numberValue.

### setNumberValue

public Value.Builder setNumberValue(double value)
`double number_value = 2 [json_name = "numberValue"];`

Parameters:
  `value` - The numberValue to set.
Returns:
  This builder for chaining.

### clearNumberValue

public Value.Builder clearNumberValue()
`double number_value = 2 [json_name = "numberValue"];`

Returns:
  This builder for chaining.

### hasStringValue

public boolean hasStringValue()
`string string_value = 3 [json_name = "stringValue"];`

Specified by:
  `hasStringValue` in interface `ValueOrBuilder`
Returns:
  Whether the stringValue field is set.

### getStringValue

public String getStringValue()
`string string_value = 3 [json_name = "stringValue"];`

Specified by:
  `getStringValue` in interface `ValueOrBuilder`
Returns:
  The stringValue.

### getStringValueBytes

public ByteString getStringValueBytes()
`string string_value = 3 [json_name = "stringValue"];`

Specified by:
  `getStringValueBytes` in interface `ValueOrBuilder`
Returns:
  The bytes for stringValue.

### setStringValue

public Value.Builder setStringValue(String value)
`string string_value = 3 [json_name = "stringValue"];`

Parameters:
  `value` - The stringValue to set.
Returns:
  This builder for chaining.

### clearStringValue

public Value.Builder clearStringValue()
`string string_value = 3 [json_name = "stringValue"];`

Returns:
  This builder for chaining.

### setStringValueBytes

public Value.Builder setStringValueBytes(ByteString value)
`string string_value = 3 [json_name = "stringValue"];`

Parameters:
  `value` - The bytes for stringValue to set.
Returns:
  This builder for chaining.

### hasBoolValue

public boolean hasBoolValue()
`bool bool_value = 4 [json_name = "boolValue"];`

Specified by:
  `hasBoolValue` in interface `ValueOrBuilder`
Returns:
  Whether the boolValue field is set.

### getBoolValue

public boolean getBoolValue()
`bool bool_value = 4 [json_name = "boolValue"];`

Specified by:
  `getBoolValue` in interface `ValueOrBuilder`
Returns:
  The boolValue.

### setBoolValue

public Value.Builder setBoolValue(boolean value)
`bool bool_value = 4 [json_name = "boolValue"];`

Parameters:
  `value` - The boolValue to set.
Returns:
  This builder for chaining.

### clearBoolValue

public Value.Builder clearBoolValue()
`bool bool_value = 4 [json_name = "boolValue"];`

Returns:
  This builder for chaining.

### hasStructValue

public boolean hasStructValue()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

Specified by:
  `hasStructValue` in interface `ValueOrBuilder`
Returns:
  Whether the structValue field is set.

### getStructValue

public Struct getStructValue()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

Specified by:
  `getStructValue` in interface `ValueOrBuilder`
Returns:
  The structValue.

### setStructValue

public Value.Builder setStructValue(Struct value)
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### setStructValue

public Value.Builder setStructValue(Struct.Builder builderForValue)
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### mergeStructValue

public Value.Builder mergeStructValue(Struct value)
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### clearStructValue

public Value.Builder clearStructValue()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### getStructValueBuilder

public Struct.Builder getStructValueBuilder()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

### getStructValueOrBuilder

public StructOrBuilder getStructValueOrBuilder()
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`

Specified by:
  `getStructValueOrBuilder` in interface `ValueOrBuilder`

### hasListValue

public boolean hasListValue()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

Specified by:
  `hasListValue` in interface `ValueOrBuilder`
Returns:
  Whether the listValue field is set.

### getListValue

public ListValue getListValue()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

Specified by:
  `getListValue` in interface `ValueOrBuilder`
Returns:
  The listValue.

### setListValue

public Value.Builder setListValue(ListValue value)
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

### setListValue

public Value.Builder setListValue(ListValue.Builder builderForValue)
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

### mergeListValue

public Value.Builder mergeListValue(ListValue value)
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

### clearListValue

public Value.Builder clearListValue()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

### getListValueBuilder

public ListValue.Builder getListValueBuilder()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

### getListValueOrBuilder

public ListValueOrBuilder getListValueOrBuilder()
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`

Specified by:
  `getListValueOrBuilder` in interface `ValueOrBuilder`

### setUnknownFields

public final Value.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<Value.Builder>`

### mergeUnknownFields

public final Value.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<Value.Builder>`